package com.flossom.system.service;

import com.flossom.common.core.domain.entity.WxInstrumentTag;
import com.flossom.common.core.domain.req.WxInstrumentTagReq;

import java.util.List;


/**
 * 仪器标签关联Service接口
 *
 * @author flossom
 * @date 2024-01-24
 */
public interface IWxInstrumentTagService {
    /**
     * 查询仪器标签关联
     *
     * @param id 仪器标签关联主键
     * @return 仪器标签关联
     */
    public WxInstrumentTag selectWxInstrumentTagById(Long id);

    /**
     * 查询仪器标签关联列表
     *
     * @param wxInstrumentTag 仪器标签关联
     * @return 仪器标签关联集合
     */
    public List<WxInstrumentTag> selectWxInstrumentTagList(WxInstrumentTag wxInstrumentTag);

    /**
     * 新增仪器标签关联
     *
     * @param wxInstrumentTag 仪器标签关联
     * @return 结果
     */
    public int insertWxInstrumentTag(WxInstrumentTag wxInstrumentTag);

    /**
     * 修改仪器标签关联
     *
     * @param wxInstrumentTag 仪器标签关联
     * @return 结果
     */
    public int updateWxInstrumentTag(WxInstrumentTag wxInstrumentTag);

    /**
     * 批量删除仪器标签关联
     *
     * @param ids 需要删除的仪器标签关联主键集合
     * @return 结果
     */
    public int deleteWxInstrumentTagByIds(Long[] ids);

    /**
     * 删除仪器标签关联信息
     *
     * @param id 仪器标签关联主键
     * @return 结果
     */
    public int deleteWxInstrumentTagById(Long id);

    int addInstrumentTag(WxInstrumentTagReq wxInstrumentTagReq);
}
